    import AdapterEzEditTable from 'tablefilter/src/extensions/advancedGrid/adapterEzEditTable.js'

public class | source

# AdapterEzEditTable

## Constructor Summary

Public Constructor
public | constructor(tf: Object) Adapter module for ezEditTable, an external library providing advanced grid features (selection and edition): http://codecanyon.net/item/ezedittable-enhance-html-tables/2425123?ref=koalyptus |

## Member Summary

Public Members
public | cfg: * |
public | desc: * |
public | emitter: * |
public | err: * |
public | filename: * |
public | initialized: boolean |
public | loadStylesheet: * |
public | stylesheet: * |
public | stylesheetName: * |
public | tf: * |
public | vendorPath: * |

## Method Summary

Public Methods
public | destroy() Remove advanced grid |
public | init(): [type] Conditionally load ezEditTable library and set advanced grid |
public | reset() Reset advanced grid when previously removed |
public | toggle() Toggle behaviour |

## Public Constructors

### public constructor(tf: Object) source

Adapter module for ezEditTable, an external library providing advanced grid features (selection and edition): http://codecanyon.net/item/ezedittable-enhance-html-tables/2425123?ref=koalyptus

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public cfg: * source

### public desc: * source

### public emitter: * source

### public err: * source

### public filename: * source

### public initialized: boolean source

### public loadStylesheet: * source

### public stylesheet: * source

### public stylesheetName: * source

### public tf: * source

### public vendorPath: * source

## Public Methods

### public destroy() source

Remove advanced grid

### public init(): [type] source

Conditionally load ezEditTable library and set advanced grid

#### Return:

[type] | [description]

### public reset() source

Reset advanced grid when previously removed

### public toggle() source

Toggle behaviour